const echarts = require("echarts");
const { post, api } = require('./api.js');

function getSchema(val, type){
    post(api.getSchema,{
        "labelName": type,
        "pramNme": val
    }).then(res=>{
        if(res.data.code == 0) {
            if(res.data.data.length >0){
                $('.empty').hide()
            }else{
                $('.empty').show()
            }
            drawSchema(res.data.data)
        }
    })
}
 function drawSchema(data){
    var myChart = echarts.init(document.getElementById('main'));
    myChart.setOption(option = {
        title: { 
            text: 'schema 结构',
            top: '10',
            left: '10'
        },
        tooltip: {
            show:'true',//默认：true；是否显示提示框组件，包括提示框浮层和 axisPointer。
            trigger: 'item',//默认：item；触发类型。item：数据项图形触发，主要在散点图，饼图等无类目轴的图表中使用。'axis'：坐标轴触发，主要在柱状图，折线图等会使用类目轴的图表中使用。'none':什么都不触发。
            triggerOn: 'mousemove',
            // borderColor: '#abcdef'
        },
        series:[
            {
                type: 'tree',
                cursor:'default',
                data: data,
    
                left: '105px',
                right: '100px',
                top: '15%',
                bottom: '10%',
    
                // symbol: 'emptyCircle',
                itemStyle:{
                    // borderColor: '#abcdef'
                },
                // orient: 'vertical',
                symbolSize:10,   //标记的大小，就是那个小圆圈，默认7
                expandAndCollapse: true,//默认：true；子树折叠和展开的交互，默认打开 。
    
                initialTreeDepth:2,//默认：2，树图初始展开的层级（深度）。根节点是第 0 层，然后是第 1 层、第 2 层，... ，直到叶子节点
    
                label: {
                    normal: {
                        // distance:0,
                        // position:'top',//标签的位置。
                        position:['-100%',5],
                        rotate: 0,//标签旋转。从 -90 度到 90 度。正值是逆时针。
                        verticalAlign: 'middle',//文字垂直对齐方式，默认自动。
                        align: 'right',//文字水平对齐方式，默认自动。
                        fontSize: 12,//文字的字体大小
                        // borderColor: '#abcdef',
                        // backgroundColor:'#abcdef',
                        color: '#333',
                        padding: [5,5,5,5],
                        formatter: function (x) {
                            var tmp = x.data.name;
                           if(tmp.length >= 12){
                               tmp = tmp.substring(0,3);
                               tmp = tmp + "...";
                           }
                           return tmp;
                       }
                    },
                    
                },
    
                leaves: {
                    cursor:'default',
                    label: {
                      
                        normal: {
                            position: ['-100%',5],
                            // color:' red',
                            rotate:0,
                            cursor:'default',
                            verticalAlign: 'middle',
                            align: 'right',
                            fontSize: 12,//文字的字体大小
                            formatter: function (x) {
                                var tmp = x.data.name;
                               if(tmp.length >= 12){
                                   tmp = tmp.substring(0,3);
                                   tmp = tmp + "...";
                               }
                               return tmp;
                           }
                           
                        },
                        
                    }
                },  
    
                animationDurationUpdate: 750
                
            }
        ]
    })
    myChart.setOption(option);
 }

 module.exports ={
    getSchema
 }